# EwTools-package
This is a toolbox with helpful classes to be used when developing Everyware-projects. The entire documentation can be found [here](https://wiki.infomaker.se/display/IEUM/Everyware+Tools)

##### Current version: _0.1.11_
Versions of EwTools can be found [here](https://composer.infomaker.io/)

## Release notes

### 0.1.11

### Hotfix
+ Fix bug where widgets from the project-plugin are deactivated on the plugin admin-page

### 0.1.10

### Hotfix
+ Fix bug lookup Section on name and slug

### Improvements
+ Added whereIn functionality to look up key value pair in depth of Collection

### 0.1.9

#### Hotfix
+ Add removed array function on Arr-class to check if an array contains keys made of strings
+ Fix bug when loading shortcodes

#### Improvements
+ Add functionality to fetch class by name from section model

#### Features
+ Added new PropertyMapper for handle mapping of properties from Open Content

### 0.1.8

#### Hotfix
+ Add helpers.php again - tightenco's helpers-file lack all helpers we're use to.

#### Improvements
+ update helpers.php with device- and env- helpers

### 0.1.7

#### Improvements
+ Update Str-class with better handling.
+ minor fixes and optimizations
 
#### Features
+ Extend [tightenco/collect](https://packagist.org/packages/tightenco/collect?q=&hPP=20&idx=packagist&p=0&is_v=1#v5.4.33) aka Laravel Support/Collection for better support and maintenance
+ Add extra sting-manipulations to Str-class
 
### 0.1.6

#### Improvements
+ Improve articlelist widget with querytesting and updated handling of using templates
+ Improve OpenContent-class to use new query-builder and generalize search to open up for future features from OC

#### Features
+ New querybuilder for Open Content queries
+ New helper-class for handling feed-routing (Will provide means to register feed routes)

### 0.1.5

#### Bugfixes
+ Fix bug while fetching classes from Section model in widgets that connects widget to section.

#### Improvements
+ Improve Contenttype/Article class with handy functionality.

#### Features
+ Added new Query-builder for creating Open content queries

### 0.1.4

#### Bugfixes
+ Minor fixes and refactoring

### 0.1.3

#### Improvements
+ Update Twig support to v1.34.4 and add support for deprecated functions
+ Update caching of twig templates by refactoring of code and by separating template-caching into one key/template instead of one that holds all templates.
+ Add more stable management for sections and settings parameters.

#### Features
+ Add ArticleBody-class to handle the article-text by adding functionality to separate text into paragraphs and manipulating content.

#### Bugfixes
+ Minor fixes and updating of documentation.